Review order exchange
POST /api/v1/exchanges/review
Section titled “POST /api/v1/exchanges/review”Approve or Deny order exchange.
Headers
Section titled “Headers”| Header | Required | Value |
|---|---|---|
api-key | yes | Import API key |
Content-Type | yes | application/json |
Request body
Section titled “Request body”{ "order_id": 7, "status": "approved",}Fields
Section titled “Fields”| Field | Type | Required | Description |
|---|---|---|---|
order_id | int | yes | Must exist in the orders table |
status | string | yes | approved, denied |
Response
Section titled “Response”HTTP 201 Created
{ "success": true,}HTTP error codes
Section titled “HTTP error codes”| Status | Description |
|---|---|
401 | Missing api-key header |
403 | Invalid api-key value |
401 | Exchange already reviewed |
422 | Validation error (missing or invalid field) |